ASG
IBM
Zystems
Cressida
Icon
Netflexity
 
  MQSeries.net
Search  Search       Tech Exchange      Education      Certifications      Library      Info Center      SupportPacs      LinkedIn  Search  Search                                                                   FAQ  FAQ   Usergroups  Usergroups
 
Register  ::  Log in Log in to check your private messages
 
RSS Feed - WebSphere MQ Support RSS Feed - Message Broker Support

MQSeries.net Forum IndexGeneral IBM MQ Supportms0p

Post new topicReply to topic
ms0p View previous topic :: View next topic
Author Message
belchman
PostPosted: Thu Mar 18, 2021 9:29 am Post subject: ms0p Reply with quote

Partisan

Joined: 31 Mar 2006
Posts: 374
Location: Ohio, USA

Have any of you been able to get ms0p to work in a MQv9.2 copy of MQ Explorer?

I have tried on my Explorer v9.2 installed on Win and it does not appear to work.

This (https://www.ibm.com/support/pages/ms0p-websphere-mq-explorer-%E2%80%93-extended-management-plug-ins-and-tools) does not say v9.2 but I am surprised it is a version issue.

I guess I can install MQExplorer v9.1 to see if it works.
_________________
Make three correct guesses consecutively and you will establish a reputation as an expert. ~ Laurence J. Peter
Back to top
View user's profile Send private message
bruce2359
PostPosted: Thu Mar 18, 2021 9:34 am Post subject: Re: ms0p Reply with quote

Poobah

Joined: 05 Jan 2008
Posts: 8887
Location: US: west coast, almost. Otherwise, enroute.

belchman wrote:
... and it does not appear to work.

Telling us it doesn't appear to work offers us little to help you.

What symptom(s) do you see? Any errors in the error log(s)?
_________________
Five out of four people have trouble with fractions. - Steven Wright.
Back to top
View user's profile Send private message
belchman
PostPosted: Thu Mar 18, 2021 9:40 am Post subject: Reply with quote

Partisan

Joined: 31 Mar 2006
Posts: 374
Location: Ohio, USA

Things that I had working on older MQ Explorer installs are not present.

For one, I do not see TraceRoute on the menu when I right click on a queue or when I right click on the word queues in the left pane.
_________________
Make three correct guesses consecutively and you will establish a reputation as an expert. ~ Laurence J. Peter
Back to top
View user's profile Send private message
fjb_saper
PostPosted: Thu Mar 18, 2021 8:29 pm Post subject: Reply with quote

Grand High Poobah

Joined: 18 Nov 2003
Posts: 20458
Location: LI,NY

belchman wrote:
Things that I had working on older MQ Explorer installs are not present.

For one, I do not see TraceRoute on the menu when I right click on a queue or when I right click on the word queues in the left pane.

It is no longer in the support pack. You should go and look for it on github/ibm messaging...
https://github.com/ibm-messaging/mq-mqsc-editor-plugin and
https://github.com/ibm-messaging/mq-event-display

Enjoy
_________________
MQ & Broker admin
Back to top
View user's profile Send private message Send e-mail
belchman
PostPosted: Fri Mar 19, 2021 3:32 am Post subject: Reply with quote

Partisan

Joined: 31 Mar 2006
Posts: 374
Location: Ohio, USA

fjb_saper,

I will peruse the GitHub you sent.

Be advised that I do have the latest ms0p pac from IBM and this is what is in it. I have the ms0p package extracted to the dropins folder and these libraries are in the plugins folder within that directory tree.

    com.ibm.mq.explorer.ms0p.activity_9.1.0.0
    com.ibm.mq.explorer.ms0p.commonservices_9.1.0.0
    com.ibm.mq.explorer.ms0p.connect_9.1.0.0
    com.ibm.mq.explorer.ms0p.csv_9.1.0.0
    com.ibm.mq.explorer.ms0p.dmpmqcfg_9.1.0.0
    com.ibm.mq.explorer.ms0p.events_9.1.0.0
    com.ibm.mq.explorer.ms0p.messages_9.1.0.0
    com.ibm.mq.explorer.ms0p.topicview_9.1.0.0
    com.ibm.mq.explorer.ms0p.traceroute_9.1.0.0


It seems to me it should work but it is not. I am thinking these 9.1.0.0 libraries may not work with 9.2 explorer.

Like I said, I will look at the GitHub to see if there is a 9.2 set of these libraries. If not, I may back down to an older explorer to see if these 9.1 libraries will work.[/list]
_________________
Make three correct guesses consecutively and you will establish a reputation as an expert. ~ Laurence J. Peter
Back to top
View user's profile Send private message
zpat
PostPosted: Fri Mar 19, 2021 10:59 pm Post subject: Reply with quote

Jedi Council

Joined: 19 May 2001
Posts: 5729
Location: UK

I have MS0P working in MQ explorer version 9.2.0.1

It was the latest version of MS0P (I forget the exact version).

Try the various tips in the MS0P guide to get MQ explorer to load the plugin correctly.
_________________
Well, I don't think there is any question about it. It can only be attributable to human error. This sort of thing has cropped up before, and it has always been due to human error.
Back to top
View user's profile Send private message
belchman
PostPosted: Mon Mar 22, 2021 3:21 am Post subject: Reply with quote

Partisan

Joined: 31 Mar 2006
Posts: 374
Location: Ohio, USA

Thx zpat, I will keep trying. As with everything else these days, what used to be simple and take only minutes, now isn't.
_________________
Make three correct guesses consecutively and you will establish a reputation as an expert. ~ Laurence J. Peter
Back to top
View user's profile Send private message
belchman
PostPosted: Wed Mar 24, 2021 5:08 am Post subject: Reply with quote

Partisan

Joined: 31 Mar 2006
Posts: 374
Location: Ohio, USA

For those interested, I resolved my issue. This MQ installation is on a Win Server 2012 R2 box. I installed MQ as via and ID that has elevated privs but that does not have Windows Admin privs.

I say all of that because everything works if I run MQ Explorer as Admin instead of just running it normally.

On my older MQ install on another Win2012 box, the only option was to run MQ Explorer as Admin. It would not even run. This one will run but apparently cannot get to the plugins unless you run as admin.

Now you know the rest of the story. That is all. Thanks for helping.
_________________
Make three correct guesses consecutively and you will establish a reputation as an expert. ~ Laurence J. Peter
Back to top
View user's profile Send private message
zpat
PostPosted: Wed Mar 24, 2021 11:11 pm Post subject: Reply with quote

Jedi Council

Joined: 19 May 2001
Posts: 5729
Location: UK

I always install MQE using admin rights and some of my colleagues found that you must also run MQE at least once with admin rights after installing plugins so that it can find them and set them up internally.
_________________
Well, I don't think there is any question about it. It can only be attributable to human error. This sort of thing has cropped up before, and it has always been due to human error.
Back to top
View user's profile Send private message
Display posts from previous:
Post new topicReply to topic Page 1 of 1

MQSeries.net Forum IndexGeneral IBM MQ Supportms0p
Jump to:



You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
Protected by Anti-Spam ACP


Theme by Dustin Baccetti
Powered by phpBB 2001, 2002 phpBB Group

Copyright MQSeries.net. All rights reserved.